//go:build windows && (amd64 || arm64 || ppc64 || ppc64le || s390x || mips64 || mips64le)

package yu_deflate

import (
	_ "embed"
	yu_file "gogs.qqck.cn/s/tools/file"
	"os"
)

// dll下载地址：https://github.com/ebiggers/libdeflate
// Releases v1.19

//go:embed api_windows_x64.dll
var dll_raw []byte

func init() {
	j_path := os.TempDir() + "libdeflatex64.dll"
	yu_file.Write(j_path, dll_raw)
	loadDLL(j_path)
}
